summaryrefslogtreecommitdiffstats
path: root/contrib/local
diff options
context:
space:
mode:
authorStefan Radomski <radomski@tk.informatik.tu-darmstadt.de>2012-12-20 21:34:09 (GMT)
committerStefan Radomski <radomski@tk.informatik.tu-darmstadt.de>2012-12-20 21:34:09 (GMT)
commit498f6f80e9ca01236ca1491596875ab7eb4cd8c3 (patch)
treee627ae19475bb93a98dfa50db1950f6e3403f569 /contrib/local
parentd779abe6ff76a78f92d229fcf1f006f5cf1f9295 (diff)
downloaduscxml-498f6f80e9ca01236ca1491596875ab7eb4cd8c3.zip
uscxml-498f6f80e9ca01236ca1491596875ab7eb4cd8c3.tar.gz
uscxml-498f6f80e9ca01236ca1491596875ab7eb4cd8c3.tar.bz2
Refactoring finished
Support datamodels, invokers and ioprocessors as plugins Comply to HTTP1.1 by sending host header field Started prolog datamodel
Diffstat (limited to 'contrib/local')
-rwxr-xr-xcontrib/local/beautifyCode.sh29
-rwxr-xr-xcontrib/local/compress_and_upload_deps.sh8
2 files changed, 33 insertions, 4 deletions
diff --git a/contrib/local/beautifyCode.sh b/contrib/local/beautifyCode.sh
new file mode 100755
index 0000000..d6f4c11
--- /dev/null
+++ b/contrib/local/beautifyCode.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+# see http://astyle.sourceforge.net/astyle.html
+# run from project root as sh ./contrib/tidy_source.sh
+
+set -e
+
+ME=`basename $0`
+DIR="$( cd "$( dirname "$0" )" && pwd )"
+CWD=`pwd`
+
+astyle \
+ --style=java \
+ --indent=tab \
+ --recursive "${DIR}/../../src/*.cpp" "${DIR}/../../src/*.h"
+find ${DIR}/../../src/ -iname '*.orig' -exec rm {} \;
+
+astyle \
+ --style=java \
+ --indent=tab \
+ --recursive "${DIR}/../../test/*.cpp"
+find ${DIR}/../../test/ -iname '*.orig' -exec rm {} \;
+
+astyle \
+ --style=java \
+ --indent=tab \
+ --recursive "${DIR}/../../apps/*.cpp"
+find ${DIR}/../../apps/ -iname '*.orig' -exec rm {} \;
+
diff --git a/contrib/local/compress_and_upload_deps.sh b/contrib/local/compress_and_upload_deps.sh
index c96ff0b..641219d 100755
--- a/contrib/local/compress_and_upload_deps.sh
+++ b/contrib/local/compress_and_upload_deps.sh
@@ -9,7 +9,7 @@ CWD=`pwd`
cd $DIR
if [ "$UMUNDO_PREBUILT_HOST" == "" ]; then
- UMUNDO_PREBUILT_HOST="admin@umundo.tk.informatik.tu-darmstadt.de:/var/www/html/uscxml/prebuilt"
+ UMUNDO_PREBUILT_HOST="admin@uscxml.tk.informatik.tu-darmstadt.de:/var/www/html/uscxml/prebuilt"
fi
if [ "$1" == "" ] || [ "$2" == "" ]; then
@@ -27,6 +27,6 @@ VERSION=$2
cd ../prebuilt
-tar cvzf uscxml-prebuilt-${PLATFORM}-${VERSION}.tgz ${PLATFORM}
-scp uscxml-prebuilt-${PLATFORM}-${VERSION}.tgz ${UMUNDO_PREBUILT_HOST}/
-rm uscxml-prebuilt-${PLATFORM}-${VERSION}.tgz \ No newline at end of file
+tar cvzf uscxml-prebuilt-${PLATFORM}.tgz ${PLATFORM}
+scp uscxml-prebuilt-${PLATFORM}.tgz ${UMUNDO_PREBUILT_HOST}/${VERSION}
+rm uscxml-prebuilt-${PLATFORM}.tgz \ No newline at end of file